"use strict";

const either = require("@validatem/either");
const wrapError = require("@validatem/wrap-error");

module.exports = function (operations) {
	const isObjectType = require("../is-object-type")(operations);

	return wrapError("Must be a field type", either([
		isObjectType("autoIDField"),
		isObjectType("stringField"),
		isObjectType("timestampField"),
		isObjectType("booleanField"),
		isObjectType("uuidField"),
	]));
};
